import { TCheckBoxType } from '@/components/CheckBox/types/types';
import { FC } from 'react';

interface ICheckBoxProps {
    type: TCheckBoxType;
    title: string;
    description?: string;
    isChecked?: boolean;
    isDisabled?: boolean;
    onChange: (checked: boolean) => void;
    isMixed?: boolean;
    isSelector?: boolean;
    name?: string;
    value?: string;
}
declare const CheckBox: FC<ICheckBoxProps>;
export default CheckBox;
